import { _decorator, Component, } from 'cc';
import { DisplayObject } from './DisplayObject';
const { ccclass, property } = _decorator;

@ccclass('GameManager')
export class GameManager extends Component {

    @property({ type: [DisplayObject] })
    objList: DisplayObject[] = [];

    start() {
        this.scheduleOnce(() => {
            this.node.children.sort((a, b) => a.getComponent(DisplayObject).sortIndex < b.getComponent(DisplayObject).sortIndex ? -1 : 1);
            console.log(this.node.children);
        }, 2);
    }
}

